<div class="vertical-tab-container car-repair-plugin" id="tabForm">
<div class="car-repair-plugin-modal">
<div class="car-repair-plugin-modal-content">
   <div class="auto-repair-loader"><?php echo  esc_html__('Loading...','car-repair') ?></div>
  </div>
  </div>
    <div class="vertical-tab-menu">
        <div class="list-group nav nav-tabs" role="tablist">
        <?php $active="active"; ?> 
        <?php if(get_option('tires_checkbox') && (get_option('tires_vehicle_checkbox') || get_option('tires_tire_checkbox') )) {?>
            <a class="list-group-item text-center <?php echo $active; ?>"  href="#tires-m" aria-controls="tires-m" role="tab" data-toggle="tab">
                <span><?php echo  esc_html__('Tires','car-repair') ?></span>
                <i class="icon icon-car-wheel"></i>
            </a>
        <?php $active=""; ?> 
        <?php } if(get_option('oilchange_checkbox')) { ?>
            <a class="list-group-item text-center <?php echo $active; ?>" href="#oilchange-m" aria-controls="oilchange-m" role="tab" data-toggle="tab">
                <span><?php echo  esc_html__('Oil change','car-repair') ?></span>
                <i class="icon icon-oil"></i>
            </a>
        <?php $active=""; ?> 
        <?php } if(get_option('batteries_checkbox')) { ?>
            <a class="list-group-item text-center <?php echo $active; ?>" href="#batteries-m" aria-controls="batteries-m" role="tab" data-toggle="tab">
                <span><?php echo  esc_html__('Batteries','car-repair') ?> </span>
                <i class="icon icon-power"></i>
            </a>
        <?php $active=""; ?> 
        <?php } if(get_option('brake_checkbox')) { ?>
            <a  class="list-group-item text-center <?php echo $active; ?>" href="#brakes-m" aria-controls="brakes-m" role="tab" data-toggle="tab">
                <span><?php echo  esc_html__('Brakes','car-repair') ?></span>
                <i class="icon icon-disc-brake"></i>
            </a>
        <?php $active=""; ?> 
        <?php } if(get_option('alignment_checkbox')) { ?>
            <a  class="list-group-item text-center <?php echo $active; ?>" href="#alignment-m" aria-controls="alignment-m" role="tab" data-toggle="tab">
                <span><?php echo  esc_html__('Alignment','car-repair') ?></span>
                <i class="icon icon-balance"></i>
            </a>
        <?php $active=""; ?> 
        <?php } ?>



        </div>
    </div>
    <div class="vertical-tab tab-content">
        <!-- Tires section -->
        <?php $active_content="active"; ?> 
        <?php $active_content_sub="active"; ?> 
        <?php if(get_option('tires_checkbox') && (get_option('tires_vehicle_checkbox') || get_option('tires_tire_checkbox') )) {?>
        <div class="vertical-tab-content <?php echo $active_content; ?>" role="tabpanel" id="tires-m">
            <h3><?php echo  esc_html__('Get the Right Tires','car-repair') ?> </h3>
            <div class="clearfix">
                <?php if(get_option('tires_vehicle_checkbox') && get_option('tires_tire_checkbox') ) {?>
                  <ul class="nav nav-tabs" role="tablist">
                    <li role="presentation" class="active"><a href="#tiresformtabforvehicle" aria-controls="tiresformtabforvehicle" role="tab" data-toggle="tab"> <?php echo  esc_html__('By Vehicle','car-repair') ?> </a></li>
                    <li role="presentation"><a href="#tiresformtabfortires" aria-controls="tiresformtabfortires" role="tiresformtabfortires" data-toggle="tab"><?php echo  esc_html__('By Tire','car-repair') ?> </a></li>
                  </ul>
                

                <?php } ?>
            </div>
            <p class="comment"><?php echo  esc_html__('All fields are required','car-repair') ?> </p>
            <?php if(get_option('tires_vehicle_checkbox')) {?>
                <div class="tab-content">
                    <div role="tabpanel" class="tab-pane <?php echo $active_content_sub; ?>" id="tiresformtabforvehicle">
                    <form id="tab1-form" method="post">
                        <input type="hidden" name="action" value="submit-form" />
                        <input type='hidden' name='type' value='tires' />
                        <?php
                            $taxonomyarray=auto_repair_search_get_Taxnomy_Without_Price();
                            auto_repair_search_dropDown_Html_Frontend($taxonomyarray,'tires');
                        ?>
                        <a class="btn btn-lg btn-full false-submit disabled" data-toggle="modal" data-target="#tab1Modal"><span>
                        <?php echo  esc_html__('Get Tire Pricing','car-repair') ?> </span></a>
                    </form>
                </div>
                <?php $active_content_sub=""; ?> 
            <?php } ?>
            <?php if(get_option('tires_tire_checkbox')) {?>
                <div role="tabpanel" class="tab-pane <?php echo $active_content_sub; ?>" id="tiresformtabfortires">
                    <form id="tab2-form"  method="post">
                        <input type='hidden' name='type' value='tires' />
                        <input type='hidden' name='size' value='true' />
                        <?php
                    
                            $taxonomyarray=auto_repair_search_get_Taxnomy_Size();
                            auto_repair_search_dropDown_Html_Frontend($taxonomyarray,'tires');
                        ?>
                        <a class="btn btn-lg btn-full false-submit disabled" data-toggle="modal" data-target="#tab1Modal"><span><?php echo  esc_html__('Get Tire Pricing','car-repair') ?></span></a>
                    </form>
                </div>
                <?php $active_content_sub=""; ?> 
            <?php } ?>
        </div>

    </div>
    <?php $active_content=""; ?> 
    <?php } ?> 
        <!-- Oil section -->
        <?php if(get_option('oilchange_checkbox')) {?>
            <div class="vertical-tab-content <?php echo $active_content; ?>" role="tabpanel" id="oilchange-m">
                <h3><?php echo get_option('oil_change_title') ;?></h3>
                <?php echo "<img class='group-google-maps-preview' data-src='" . urlencode(get_option('oil_map_address')) . "'>";
                    echo get_option('oil_change_content') ;
                ?>
            </div>
        <?php $active_content=""; ?> 
        <?php } ?>
        <!-- Batteries section -->
        <?php if(get_option('batteries_checkbox')) {?>
            <div class="vertical-tab-content <?php echo $active_content; ?>"  role="tabpanel" id="batteries-m">
                <h3><?php echo  esc_html__('Search For Batteries','car-repair') ?> </h3>
                <p class="comment"><?php echo  esc_html__('All fields are required','car-repair') ?> </p>
                <form id="tab3-form"  method="post">
                    <input type='hidden' name='type' value='battery' />
                        <?php
                            $taxonomyarray=auto_repair_search_get_Taxnomy_Without_Price();
                            auto_repair_search_dropDown_Html_Frontend($taxonomyarray,'battery');
                        ?>
                    <a class="btn btn-lg btn-full false-submit disabled" data-toggle="modal" data-target="#tab3Modal"><span> <?php echo  esc_html__('Get Batteries Pricing','car-repair') ?></span></a>
                </form>
            </div>
        <?php $active_content=""; ?> 
        <?php } ?>

        <!-- Brakes section -->
        <?php if(get_option('brake_checkbox')) {?>
            <div class="vertical-tab-content <?php echo $active_content; ?>"  role="tabpanel" id="brakes-m">
                <h3><?php echo get_option('brake_change_title') ;?></h3>
                <?php echo "<img class='group-google-maps-preview'  data-src='" . urlencode(get_option('oil_map_address')) . "'>";
                    echo get_option('brake_change_content') ;
                ?>
            </div>
        <?php $active_content=""; ?> 
        <?php } ?>
        <!-- Alignment section -->
        <?php if(get_option('alignment_checkbox')) {?>
        <div class="vertical-tab-content <?php echo $active_content; ?>"  role="tabpanel" id="alignment-m">
            <h3><?php echo  esc_html__('Alignment Service','car-repair') ?> </h3>
            <p class="comment"><?php echo  esc_html__('All fields are required','car-repair') ?> </p>
            <form id="tab5-form"  method="post" >
                <input type='hidden' name='type' value='alignment' />
                    <?php
                
                        $taxonomyarray=auto_repair_search_get_Taxnomy_Without_Price();
                        auto_repair_search_dropDown_Html_Frontend($taxonomyarray,'alignment');
                    ?>
                
                <a class="btn btn-lg btn-full false-submit disabled" data-toggle="modal" data-target="#tab5Modal"><span><?php echo  esc_html__('Get Pricing','car-repair') ?> </span></a>
            </form>
        </div>
        <?php $active_content=""; ?> 
        <?php } ?>
        <div class="search-result"></div>
    </div>
</div>
