<?php
$car_repair_services_opt = car_repair_services_options();
/**
 * The template for displaying the footer
 *
 * Contains the closing of the #content div and all content after.
 *
 * @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
 *
 * @package Car_Repair_Services
 */

?>
	<!-- Footer -->
	<div class="page-footer">
	    <div class="footer-content">
	    <?php if(isset($car_repair_services_opt['car_repair_services-footer-contact-info'])&&($car_repair_services_opt['car_repair_services-footer-contact-info']==1)) {?>
			<div class="footer-col-left">
				<div class="inside">
			    	<div class="footer-phone">
						<h2 class="h-phone"><?php esc_html_e('Call:', 'car-repair-services')?> 
						<span class="number"><?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer_contact_phone']);?></span></h2>
					</div>
					<div class="contact-info"><i class="icon icon-locate"></i><?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer_contact_location']);?>
					</div>
					<div class="contact-info"><i class="icon icon-clock"></i><?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer_contact_clock']);?>
					</div>
					<div class="contact-info"><i class="icon icon-email"></i>
						<a href="mailto:<?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer_email']);?>"><?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer_email']);?></a>
					</div>
					<div class="social-links">
						<ul>
							<?php if( isset($car_repair_services_opt['car_repair_services-footer-facebook']) && !empty($car_repair_services_opt['car_repair_services-footer-facebook']) ) {?>
								<li> 
									<a class="icon icon-facebook-logo" href="<?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer-facebook']);?>"></a>
								</li>
							<?php } ?>
							<?php if( isset($car_repair_services_opt['car_repair_services-footer-twitter']) && !empty($car_repair_services_opt['car_repair_services-footer-twitter']) ) {?>
								<li> 
									<a class="icon icon-twitter-logo" href="<?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer-twitter']);?>"></a>
								</li>
							<?php } ?>
							<?php if( isset($car_repair_services_opt['car_repair_services-footer-google-plus']) && !empty($car_repair_services_opt['car_repair_services-footer-google-plus']) ) {?>
								<li> 
									<a class="icon icon-google-plus-logo" href="<?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer-google-plus']);?>"></a>
								</li>
							<?php } ?>
							<?php if( isset($car_repair_services_opt['car_repair_services-footer-instagram']) && !empty($car_repair_services_opt['car_repair_services-footer-instagram']) ) {?>
								<li> 
									<a class="icon icon-instagram-logo" href="<?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer-instagram']);?>"></a>
								</li>
							<?php } ?>
							<?php if( isset($car_repair_services_opt['car_repair_services-footer-tumblr']) && !empty($car_repair_services_opt['car_repair_services-footer-tumblr']) ) {?>
								<li> 
									<a class="icon icon-tumblr-logo" href="<?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer-tumblr']);?>"></a>
								</li>
							<?php } ?>
							<?php if( isset($car_repair_services_opt['car_repair_services-footer-behance']) && !empty($car_repair_services_opt['car_repair_services-footer-behance']) ) {?>
								<li> 
									<a class="icon icon-behance-logo" href="<?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer-behance']);?>"></a>
								</li>
							<?php } ?>
							<?php if( isset($car_repair_services_opt['car_repair_services-footer-linkedin']) && !empty($car_repair_services_opt['car_repair_services-footer-linkedin']) ) {?>
								<li> 
									<a class="icon icon-linkedin-logo" href="<?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer-linkedin']);?>"></a>
								</li>
							<?php } ?>
						</ul>
					</div>
				</div>
			</div>
			<?php }?>
				<!-- Google map -->
			<?php

			 $footer_map = (isset($car_repair_services_opt['car_repair_services-footer_map']) && !empty($car_repair_services_opt['car_repair_services-footer_map'])) ? 1 : 0;
			 if($footer_map==1):
			 ?>
			<div class="footer-col-right">
				<?php do_action('car_repair_services_after_footer'); ?>
			</div>
			<?php endif;?>
		</div>
    
    <div class="footer-bottom">
		<div class="container">
			<div class="copyright"><?php echo wp_kses_post($car_repair_services_opt['car_repair_services-footer_copyright']);?></div>
		</div>
	</div>			
	<!-- //Footer -->
	<div class="darkout-menu"></div>
</div>
<?php if(isset($car_repair_services_opt['car_repair_services-back_to_top'])&&($car_repair_services_opt['car_repair_services-back_to_top']==1)) {?>
<div class="back-to-top" style="bottom: 15px;"><a href="#top"><span class="icon icon-transport"></span></a></div>
<?php } ?>
<!--================== modal ==================-->
	<?php
	 if ( $car_repair_services_opt['is_modal_enable'] ==1) { get_template_part( 'template-parts/modal' ); } ?>
<!-- / Modal  -->
<?php wp_footer(); ?>
</body>
</html>