<?php
/**
 * The template for displaying all pages
 *
 * This is the template that displays all pages by default.
 * Please note that this is the WordPress construct of pages
 * and that other 'pages' on your WordPress site may use a
 * different template.
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package Car_Repair_Services
 */

get_header(); ?>
<?php 
$show_breadcrumb = get_post_meta(get_the_ID(), 'framework_show_breadcrumb', true);
$show_title = get_post_meta(get_the_ID(), 'framework_show_page_title', true);
?> 
<div id="pageTitle">
    <?php if (!is_front_page() && ( $show_breadcrumb != 'off') ) : ?>
        <?php do_action('car_repair_services_breadcrumb'); ?>
    <?php endif;?>



    <?php if($show_title != 'off') : ?>
        <?php if ( !is_home() && ! is_front_page() ) : ?>
        <!-- .entry-header -->
        <header class="entry-header">
        <?php
        $myvalue = get_the_title();

        $arr = explode(' ',trim($myvalue));
        $push=array_shift( $arr);
        $push1 = implode(' ', $arr);
         

        //echo $title_first;
        ?>
        <h1><?php echo $push; ?> <span class="color"><?php echo $push1; ?></span></h1>

        </header>
        <!-- .entry-header -->

        <?php endif;?>
    <?php endif;?> 
      
</div>
<!-- #pageTitle -->

<div id="pageContent" class="content-area">
    <div class="block">
        <div id="primary" class="container">
                <?php
                while ( have_posts() ) : the_post();

                    get_template_part( 'template-parts/content', 'page' );

                    // If comments are open or we have at least one comment, load up the comment template.
                    if ( comments_open() || get_comments_number() ) :
                        comments_template();
                    endif;

                endwhile; // End of the loop.
                ?>

        </div><!-- #primary -->

    </div><!-- #block -->
</div><!-- #pageContent -->
<?php
get_footer();