<?php
/**
 * The template for displaying search results pages
 *
 *
 * @package Car_Repair_Services
 */

get_header(); ?>

<?php $unique_id = esc_attr( uniqid( 'search-form-' ) ); ?>

<form role="search" method="get" class="search-form" action="<?php echo esc_url( home_url( '/' ) ); ?>">
	<input type="search" id="<?php echo $unique_id; ?>" class="search-field" 
    placeholder="<?php echo esc_attr_x( 'Search &hellip;', 'placeholder', 'car-repair-services' ); ?>" value="<?php echo get_search_query(); ?>" name="s" />
	<button type="submit" class="button"><i class="icon icon-search"></i></button>
</form>