<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Car_Repair_Services
 */

get_header(); ?>
<?php 
$show_breadcrumb = 'on';
 ?>
<?php
 $page_icon = get_post_meta(get_the_ID(), 'framework-service-icon', true);
 $page_head = get_post_meta(get_the_ID(), 'framework-service-page-head', true);
 $page_sub_head = get_post_meta(get_the_ID(), 'framework-service-page-sub-head', true);

?>
	<div id="pageTitle">
		<div class="container">
			<?php do_action('car_repair_services_breadcrumb'); ?>
			<h1><?php echo $page_head; ?></h1>
		</div>
	</div>
<div id="pageContent">
    <div class="block">
			<div class="container">
			<?php the_title( '<h2 class="h-lg text-center">', '</h2>' ); ?>
				 
				<p class="info text-center"><?php echo $page_sub_head;?></p>
				<div class="service-icon">
					<div class="icon-wrapper"><span><i class="icon <?php echo $page_icon;?>"></i></span>
					</div>
				</div>
			</div>
		</div>
		<div class="container"> 
			<div class="row">
				<div class="col-sm-12">
					<div class="blog-post single single_pg_cont">
					
						<?php
							while ( have_posts() ) : the_post();

								?>

								<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post single'); ?>>

									<div class="post-image">
									 
										<div class="post-teaser">
											<?php 
													the_content();	 
											?>
										</div>
										 
									</div>
								</div>
								<?php 
								
								// If comments are open or we have at least one comment, load up the comment template.
								if ( comments_open() || get_comments_number() ) :
									comments_template();
								endif;

							endwhile; // End of the loop.
						?>
					 
					</div>
				</div>
			 
				 
			</div>
		</div>
		</div>


<?php
get_footer();