<?php
/**
 * The template for displaying all single posts.
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/#single-post
 *
 * @package Car_Repair_Services
 */

get_header(); ?>
<?php 
$show_breadcrumb = get_post_meta(get_the_ID(), 'framework_show_breadcrumb', true);
$show_title = get_post_meta(get_the_ID(), 'framework_show_page_title', true);
?> 
<div id="pageTitle">
    <?php if (!is_front_page() && ( $show_breadcrumb != 'off') ) : ?>
        <?php do_action('car_repair_services_breadcrumb'); ?>
    <?php endif;?>



    <?php if($show_title != 'off') : ?>
        <?php if ( !is_home() && ! is_front_page() ) : ?>
        <!-- .entry-header -->
        <header class="entry-header">
        <?php
        $myvalue = get_the_title();

        $arr = explode(' ',trim($myvalue));
        $push=array_shift( $arr);
        $push1 = implode(' ', $arr);
         

        //echo $title_first;
        ?>
        <h1><?php echo $push; ?> <span class="color"><?php echo $push1; ?></span></h1>

        </header>
        <!-- .entry-header -->

        <?php endif;?>
    <?php endif;?> 
      
</div>
<!-- #pageTitle -->

    <div id="pageContent">
		<div class="container">
			<div class="row">
				<div class="col-md-9 column-center primary">
					<div class="blog-post single single_pg_cont">
					
						<?php
							while ( have_posts() ) : the_post();

								?>

								<div id="post-<?php the_ID(); ?>" <?php post_class('blog-post single'); ?>>

									<div class="post-image">
										<?php get_template_part( 'template-parts/media/content', get_post_format() ); ?>
										<?php car_repair_services_posted_on() ;?>
										
										<?php the_title( '<h3 class="post-title">', '</h3>' ); ?>
										<div class="post-teaser">
											<?php 
													the_content( sprintf(
														/* translators: %s: Name of current post. */
														wp_kses( __( 'Continue reading %s <span class="meta-nav">&rarr;</span>', 'car-repair-services' ), array( 'span' => array( 'class' => array() ) ) ),
														the_title( '<span class="screen-reader-text">"', '"</span>', false )
													) );
													wp_link_pages( array(
														'before'      => '<div class="page-pagination"><div class="page-numbers"><span class="page-links-title">' . esc_html__( 'Pages:', 'car-repair-services' ) . '</span>',
														'after'       => '</div></div>',
														'link_before' => '<span>',
														'link_after'  => '</span>',
														'pagelink'    => '<span class="screen-reader-text">' . esc_html__( 'Page', 'car-repair-services' ) . ' </span>%',
														'separator'   => ', ',
													) );

											?>
										</div>
										<?php  car_repair_services_entry_footer() ?>
									</div>
								</div>
								<?php 
									
								echo '<div class="divider-line"></div>';
								// If comments are open or we have at least one comment, load up the comment template.
								if ( comments_open() || get_comments_number() ) :
									comments_template();
								endif;

							endwhile; // End of the loop.
						?>
					
						<div id="postPreload"></div>
						<div class="divider divider-lg"></div>
					</div>
				</div>
				<?php get_sidebar();?>
			</div>
		</div>
		</div>


<?php
get_footer();