<?php

vc_map(array(
    "name" => "Services",
    "base" => "car_repair_services",
    "icon" => CAR_REPAIR_SERVICES_THEME_URI . '/images/car-repair-services-icon.png',
    "category" => 'Car Repair',
    "params" => array(
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Posts Per Tab', 'car_repair_services'),
            'param_name' => 'limit_per_tab',
            'value' => 6
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Posts Per Page', 'car_repair_services'),
            'param_name' => 'per_page',
            'value' => 18
        ),
        array(
            'type' => 'dropdown',
            'heading' => esc_html__('Show Services With Page', 'car_repair_services'),
            'param_name' => 'pagination',
            'value' => array(
                'Yes' => true,
                'No' => false,
            )
        ),
        array(
            'type' => 'textfield',
            'heading' => esc_html__('Extra Class', 'car_repair_services'),
            'param_name' => 'extra_class',
        )
    )
));
