<?php
$style = $post->style;
$post_id = get_the_ID();
$client_name = get_post_meta(get_the_ID(), 'framework-client-name', true);
$client_ratting = get_post_meta(get_the_ID(), 'framework-client-ratting', true);
$attachement = wp_get_attachment_image_src(get_post_thumbnail_id($post_id), 'car-repair-services-testimonial');
?>

<?php if ($style) { ?>
    <div class="testimonial-card">
        <input type="hidden" value="<?php echo get_the_ID(); ?> "/>
        <div class="testimonial-card-title">
            <h5><?php
                if ($client_name != '') {
                    echo esc_html($client_name);
                }
                ?></h5></div>
        <div class="testimonial-card-text"> <?php echo the_content(); ?> </div>
        <div class="testimonial-card-rating">
            <div class="rating rating-<?php echo esc_html($client_ratting); ?>"><i class="icon-star"></i><i class="icon-star"></i><i class="icon-star"></i><i class="icon-star"></i><i class="icon-star"></i></div>
        </div>
    </div>
<?php } else { ?>
    <div class="testimonials-item <?php echo $extra_class; ?> <?php if ($i == 1): ?>testimonials-item--dark<?php endif; ?>">
        <div class="inside">
            <div class="meta"><span class="rating"><i class="icon-star"></i><i class="icon-star"></i><i class="icon-star"></i><i class="icon-star off"></i><i class="icon-star"></i></span><span class="username"><?php
                    if ($client_name != '') {
                        echo esc_html($client_name);
                    }
                    ?></span></div>
            <div class="text">  <?php echo the_content(); ?></div>
        </div>
        <div class="bg-image" <?php if ($attachement != array()) { ?>  style="background-image: url(<?php echo esc_url($attachement[0]); ?>);" <?php } ?>>
        </div>
    </div>
    <?php
}
